<?php
require('../dbconnect.php');

session_start();

if (!empty($_POST)) {
	// エラー項目の確認
	if ($_POST['member'] == '') {
		$error['member'] = 'blank';
	}
	if ($_POST['join_day0'] == '' && $_POST['join_day1'] == '') {
		$error['join_day'] = 'blank';
	}
	if ($_POST['flag_papers'] == '') {
		$error['flag_papers'] = 'blank';
	}
	if ($_POST['flag_party'] == '') {
		$error['flag_party'] = 'blank';
	}
	if ($_POST['email'] == '') {
		$error['email'] = 'blank';
	}
	if (strlen($_POST['password']) < 4) {
		$error['password'] = 'length';
	}
	if ($_POST['password'] == '') {
		$error['password'] = 'blank';
	}
	if ($_POST['password'] != $_POST['password2']) {
		$error['password'] = 'mismatch';
	}
	if ($_POST['name_kanji0'] == '') {
		$error['name_kanji0'] = 'blank';
	}
	if ($_POST['name_kanji1'] == '') {
		$error['name_kanji1'] = 'blank';
	}
	if ($_POST['name_kana0'] == '') {
		$error['name_kana0'] = 'blank';
	}
	if ($_POST['name_kana1'] == '') {
		$error['name_kana1'] = 'blank';
	}
	if ($_POST['name_en0'] == '') {
		$error['name_en0'] = 'blank';
	}
	if ($_POST['name_en1'] == '') {
		$error['name_en1'] = 'blank';
	}
	if ($_POST['address_type'] == '') {
		$error['address_type'] = 'blank';
	}
	if ($_POST['postcode0'] == '') {
		$error['postcode0'] = 'blank';
	}
	if ($_POST['postcode1'] == '') {
		$error['postcode1'] = 'blank';
	}
	if ($_POST['prefecture'] == '') {
		$error['prefecture'] = 'blank';
	}
	if ($_POST['city'] == '') {
		$error['city'] = 'blank';
	}
	if ($_POST['phone0'] == '') {
		$error['phone0'] = 'blank';
	}
	if ($_POST['phone1'] == '') {
		$error['phone1'] = 'blank';
	}
	if ($_POST['phone2'] == '') {
		$error['phone2'] = 'blank';
	}
	
	
	// 重複アカウントのチェック
	if (empty($error)) {
		$sql = sprintf('SELECT COUNT(*) AS cnt FROM users WHERE email="%s"',
			mysql_real_escape_string(mb_convert_kana($_POST['email'],'KVa'))
		);
		$record = mysql_query($sql) or die(mysql_error());
		$table = mysql_fetch_assoc($record);
		if ($table['cnt'] > 0) {
			$error['email'] = 'duplicate';
		}
	}

	// check.phpへ受け渡し
	if (empty($error)) {
		$_SESSION['join'] = $_POST;
		header('Location: check.php');
		exit();
	}
	
}

// 書き直し
if ($_REQUEST['action'] == 'rewrite') {
	$_POST = $_SESSION['join'];
	$error['rewite'] = true;
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" />
<link rel="stylesheet" type="text/css" href="../style.css" />
<title>JAEIS第8回全国大会参加登録</title>
</head>

<body>
<div id="wrap">
<div id="head">
<h1>JAEIS第8回全国大会 参加申し込み</h1>
</div>

<div id="content">
<p style="color: red">参加申し込み期日: 6月14日（日）まで</p>
<p>次のフォームに必要事項をご記入ください。</p>
<p>※ご記入頂いた情報は、本大会以外の用途では利用いたしません。</p>
<hr />
<form action="" method="post" enctype="multipart/form-data">
	<dl>
	
	<dt>会員種別<span class="required">必須</span></dt>
	<dd>
        <input type="radio" name="member" value="0" 
	<?php if($_POST['member'] == '0') print('checked'); ?> />正会員<br />
        <input type="radio" name="member" value="1" 
	<?php if($_POST['member'] == '1') print('checked'); ?> />正会員（初等中等教育の教員）<br />
        <input type="radio" name="member" value="2" 
	<?php if($_POST['member'] == '2') print('checked'); ?> />学生会員<br />
        <input type="radio" name="member" value="3" 
	<?php if($_POST['member'] == '3') print('checked'); ?> />協賛会員<br />
        <input type="radio" name="member" value="9" 
	<?php if($_POST['member'] == '9') print('checked'); ?> />非会員<br />
        <!--<input type="radio" name="member" value="10" 
	<?php if($_POST['member'] == '10') print('checked'); ?> />開催校の学生<br /> -->
        <?php if ($error['member'] == 'blank'): ?>
	<p class="error">* 会員種別を選択してください</p>
	<?php endif; ?>
	<hr />
	</dd>
        
	<dt>参加予定日<span class="required">必須</span></dt>
	<dd>
        <input type="checkbox" name="join_day0" value="TRUE" 
	<?php if($_POST['join_day0'] == 'TRUE') print('checked'); ?> />6月27日（土）
        <input type="checkbox" name="join_day1" value="TRUE" 
	<?php if($_POST['join_day1'] == 'TRUE') print('checked'); ?> />6月28日（日）
        <?php if ($error['join_day'] == 'blank'): ?>
	<p class="error">* 1つ以上選択してください</p>
	<?php endif; ?>
	<hr />
	</dd>
        
	<dt>講演論文集（会員:2000円，非会員:3000円）<span class="required">必須</span></dt>
	<dd>
        <input type="radio" name="flag_papers" value="TRUE" 
	<?php if($_POST['flag_papers'] == 'TRUE') print('checked'); ?> />予約する
        <input type="radio" name="flag_papers" value="FALSE" 
	<?php if($_POST['flag_papers'] == 'FALSE') print('checked'); ?> />予約しない
        <?php if ($error['flag_papers'] == 'blank'): ?>
	<p class="error">* どちらかを選択してください</p>
	<?php endif; ?>
	<hr />
	</dd>
        
	<dt>懇親会（5000円）<span class="required">必須</span></dt>
	<dd>
        <input type="radio" name="flag_party" value="TRUE" 
	<?php if($_POST['flag_party'] == 'TRUE') print('checked'); ?> />予約する
        <input type="radio" name="flag_party" value="FALSE" 
	<?php if($_POST['flag_party'] == 'FALSE') print('checked'); ?> />予約しない
        <?php if ($error['flag_party'] == 'blank'): ?>
	<p class="error">* どちらかを選択してください</p>
	<?php endif; ?>
	<hr />
	</dd>
        
	<dt>メールアドレス<span class="required">必須</span></dt>
	<dd>
        <input type="text" name="email" size="40" maxlength="255" value="<?php echo htmlspecialchars($_POST['email'], ENT_QUOTES, 'UTF-8'); ?>" />（携帯メール不可）
        <?php if ($error['email'] == 'blank'): ?>
	<p class="error">* メールアドレスを入力してください</p>
	<?php endif; ?>
        <?php if ($error['email'] == 'duplicate'): ?>
	<p class="error">* 指定されたメールアドレスはすでに登録されています</p>
	<?php endif; ?>
	</dd>
	
	<dt>パスワード<span class="required">必須</span></dt>
	<dd>
        <input type="password" name="password" size="10" maxlength="20" value="<?php echo htmlspecialchars($_POST['password'], ENT_QUOTES, 'UTF-8'); ?>" />（半角英数字4文字以上）<br />
	<input type="password" name="password2" size="10" maxlength="20" value="<?php echo htmlspecialchars($_POST['password2'], ENT_QUOTES, 'UTF-8'); ?>" />（確認用。上と同じ文字列を入力して下さい）
        <?php if ($error['password'] == 'blank'): ?>
	<p class="error">* パスワードを入力してください</p>
	<?php endif; ?>
        <?php if ($error['password'] == 'length'): ?>
	<p class="error">* パスワードは4文字以上で入力してください</p>
	<?php endif; ?>
        <?php if ($error['password'] == 'mismatch'): ?>
	<p class="error">* 確認用パスワードが一致しません。再入力して下さい</p>
	<?php endif; ?>
        </dd>

	<dt>氏名（漢字）<span class="required">必須</span></dt>
	<dd>
        姓 <input type="text" name="name_kanji0" size="16" maxlength="255" value="<?php echo htmlspecialchars($_POST['name_kanji0'], ENT_QUOTES, 'UTF-8'); ?>" />
	名 <input type="text" name="name_kanji1" size="16" maxlength="255" value="<?php echo htmlspecialchars($_POST['name_kanji1'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['name_kanji0'] == 'blank' || $error['name_kanji1'] == 'blank'): ?>
	<p class="error">* 姓と名（漢字）を両方とも入力してください</p>
	<?php endif; ?>
	</dd>

	<dt>氏名（カタカナ）<span class="required">必須</span></dt>
	<dd>
        セイ <input type="text" name="name_kana0" size="16" maxlength="255" value="<?php echo htmlspecialchars($_POST['name_kana0'], ENT_QUOTES, 'UTF-8'); ?>" />
	メイ <input type="text" name="name_kana1" size="16" maxlength="255" value="<?php echo htmlspecialchars($_POST['name_kana1'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['name_kana0'] == 'blank' || $error['name_kana1'] == 'blank'): ?>
	<p class="error">* 姓と名（カタカナ）を両方とも入力してください</p>
	<?php endif; ?>
	</dd>

	<dt>氏名（英字）<span class="required">必須</span></dt>
	<dd>
        Family <input type="text" name="name_en0" size="16" maxlength="255" value="<?php echo htmlspecialchars($_POST['name_en0'], ENT_QUOTES, 'UTF-8'); ?>" />
	Given <input type="text" name="name_en1" size="16" maxlength="255" value="<?php echo htmlspecialchars($_POST['name_en1'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['name_en0'] == 'blank' || $error['name_en1'] == 'blank'): ?>
	<p class="error">* 姓(Family)と名(Given)を両方とも入力してください</p>
	<?php endif; ?>
	</dd>

	<dt>所属</dt>
	<dd>
        組織名（学校名・会社名） <input type="text" name="organization" size="40" maxlength="255" value="<?php echo htmlspecialchars($_POST['organization'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
	部署名 <input type="text" name="department" size="40" maxlength="255" value="<?php echo htmlspecialchars($_POST['department'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['organization'] == 'blank'): ?>
	<p class="error">* 組織名または個人を入力してください</p>
	<?php endif; ?>
	</dd>

	<dt>連絡先<span class="required">必須</span></dt>
	<dd>
        <input type="radio" name="address_type" value="0" 
	<?php if($_POST['address_type'] == '0') print('checked'); ?> />勤務先
        <input type="radio" name="address_type" value="1" 
	<?php if($_POST['address_type'] == '1') print('checked'); ?>/>自宅
        <?php if ($error['address_type'] == 'blank'): ?>
	<p class="error">* どちらかを選択してください</p>
	<?php endif; ?>
	<hr />
	</dd>

	<dd>
        郵便番号 <input type="text" name="postcode0" size="5" maxlength="255" value="<?php echo htmlspecialchars($_POST['postcode0'], ENT_QUOTES, 'UTF-8'); ?>" /> - <input type="text" name="postcode1" size="5" maxlength="255" value="<?php echo htmlspecialchars($_POST['postcode1'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['postcode0'] == 'blank' || $error['postcode1'] == 'blank'): ?>
	<p class="error">* 郵便番号を入力してください</p>
	<?php endif; ?>
        </dd>
	<dd>
	都道府県 <select name="prefecture">
	<?php
	print('<option value="">都道府県名を選択</option>');
	
	$prefs = array ('北海道','青森県','岩手県','宮城県','秋田県','山形県','福島県','茨城県','栃木県','群馬県','埼玉県','千葉県','東京都','神奈川県','山梨県','新潟県','富山県','石川県','福井県','長野県','岐阜県','静岡県','愛知県','三重県','滋賀県','京都府','大阪府','兵庫県','奈良県','和歌山県','鳥取県','島根県','岡山県','広島県','山口県','徳島県','香川県','愛媛県','高知県','福岡県','佐賀県','長崎県','熊本県','大分県','宮崎県','鹿児島県','沖縄県');
	foreach($prefs as $pref){
	   print('<option value="'.$pref.'" ');
	   if ($pref == $_POST['prefecture']) print('selected');
	   print('>'.$pref.'</option>');
	}
	?>
	</select>
        <?php if ($error['prefecture'] == 'blank'): ?>
	<p class="error">* 都道府県名を選択してください</p>
	<?php endif; ?>
	</dd>
	<dd>
	市区町村 <input type="text" name="city" size="40" maxlength="255" value="<?php echo htmlspecialchars($_POST['city'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['city'] == 'blank'): ?>
	<p class="error">* 市区町村を入力してください</p>
	<?php endif; ?>
	</dd>
	<dd>
	町域以降 <input type="text" name="town" size="60" maxlength="255" value="<?php echo htmlspecialchars($_POST['town'], ENT_QUOTES, 'UTF-8'); ?>" />
	</dd>
	<dd>
        電話番号 <input type="text" name="phone0" size="5" maxlength="255" value="<?php echo htmlspecialchars($_POST['phone0'], ENT_QUOTES, 'UTF-8'); ?>" /> - <input type="text" name="phone1" size="5" maxlength="255" value="<?php echo htmlspecialchars($_POST['phone1'], ENT_QUOTES, 'UTF-8'); ?>" />- <input type="text" name="phone2" size="5" maxlength="255" value="<?php echo htmlspecialchars($_POST['phone2'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['phone0'] == 'blank' || $error['phone1'] == 'blank' || $error['phone1'] == 'blank'): ?>
	<p class="error">* 電話番号を入力してください</p>
	<?php endif; ?>
	<hr />
        </dd>

	</dl>
	<div><input type="submit" value="入力内容を確認する" /></div>
</form>
</div>

<div id="foot">
<p>(C) 日本情報科教育学会第8回全国大会実行委員会</p>
</div>

</div>
</body>
</html>
